<?php
if ( defined('class_markitup_inc') )
	return false;
define('class_markitup_inc',1);

class markitup{


	private $name = false;
	private $value='';


  
  	function show($v){
  	  
$result .=  
<<<BEGIN
	
 <script type="text/javascript" src="/source/ext/markitup/jquery.pack.js"></script>
 <script type="text/javascript" src="/source/ext/markitup/markitup/jquery.markitup.pack.js"></script>
 
 <script type="text/javascript" src="/source/ext/markitup/markitup/sets/default/set.js"></script>
 <link rel="stylesheet" type="text/css" href="/source/ext/markitup/markitup/skins/markitup/style.css" />
 <link rel="stylesheet" type="text/css" href="/source/ext/markitup/markitup/sets/default/style.css" />
<script type="text/javascript">

	
	
window.editor = {};

editor.create = function(name){
	
 	$('#{$this -> name}').markItUp(mySettings);

} 


</script>
BEGIN;

return $result;
  	}
  	
  		//	устанавливаем name редактора
  	public function set_name($v){
  		if ( empty($v) ){
			sys_error(ERROR_500,"1024: bad name '$v' for editor");
		}
  		$this -> name = $v;
  		return true;
  	}	
  		//	устанавлиаем первончальное содержимое редактора
  	public function set_value($v){
  		$this -> value = $v;
  		return true;
  	}
	
	

	
  
  }
 

?>
